package net.pingex.dcf.commands;

import net.pingex.dcf.commands.parser.BasicParser;
import net.pingex.dcf.commands.parser.ICommandParser;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import sx.blah.discord.handle.impl.events.MessageReceivedEvent;
import java.util.List;

/**
 * Landing class for a MRE
 */
public class CommandHandler
{
	/**
	 * The one and only valid parser for now.
	 */
	public static final ICommandParser PARSER = new BasicParser();

	/**
	 * Logger
	 */
	private static final Logger LOGGER = LogManager.getLogger(CommandHandler.class);

	/**
	 * Landing method for a MRE
	 */
	public static void handle(MessageReceivedEvent event)
	{
		String command;
		List<String> arguments;

		try
		{
			command = PARSER.parseCommand(event.getMessage().getContent());
			arguments = PARSER.parseArguments(event.getMessage().getContent());
		}
		catch(ParserException e)
		{
			return; // Not a command
		}
		LOGGER.debug("Attempting to run command {} by user #{}.", command, event.getMessage().getAuthor().getID());


	}
}
